package intrinsic.flash.geom;

public class Rectangle extends Object {

	/** Accessors */
	public intrinsic.flash.geom.Point topLeft;
	public intrinsic.flash.geom.Point size;
	public double left;
	public double top;
	public double right;
	public intrinsic.flash.geom.Point bottomRight;
	public double bottom;

	/** Variables */
	public double x;
	public double width;
	public double height;
	public double y;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Rectangle() {
}

public Rectangle(double arg0) {
}

public Rectangle(double arg0, double arg1) {
}

public Rectangle(double arg0, double arg1, double arg2) {
}

public Rectangle(double arg0, double arg1, double arg2, double arg3) {
}


/** Static Methods */

/** Methods */
public native void setEmpty();
public native void offsetPoint(intrinsic.flash.geom.Point arg0);
public native boolean intersects(intrinsic.flash.geom.Rectangle arg0);
public native boolean containsPoint(intrinsic.flash.geom.Point arg0);
public native void inflatePoint(intrinsic.flash.geom.Point arg0);
public native intrinsic.flash.geom.Rectangle union(intrinsic.flash.geom.Rectangle arg0);
public native intrinsic.flash.geom.Rectangle intersection(intrinsic.flash.geom.Rectangle arg0);
public native Object clone();
public native void offset(double arg0, double arg1);
public native void inflate(double arg0, double arg1);
public native boolean equals(intrinsic.flash.geom.Rectangle arg0);
public native boolean isEmpty();
public native boolean containsRect(intrinsic.flash.geom.Rectangle arg0);
public native String toString();
public native boolean contains(double arg0, double arg1);

}
